// A launch configuration that launches the extension inside a new window
{
  "version": "0.1.0",
  "configurations": [
    {
      "name": "Run Extension",
      "type": "extensionHost",
      "request": "launch",
      "runtimeExecutable": "${execPath}",
      "args": ["--disable-extensions", "--extensionDevelopmentPath=${workspaceRoot}"],
      "stopOnEntry": false,
      "preLaunchTask": "${defaultBuildTask}",
      "env": {
        "NODE_ENV": "development"
      }
    },

    {
      "name": "Unit Tests",
      "args": ["-i"],
      "internalConsoleOptions": "openOnSessionStart",
      "program": "${workspaceFolder}/node_modules/.bin/jest",
      "request": "launch",
      "type": "node"
    },
    {
      "name": "Integration Tests",
      "type": "extensionHost",
      "request": "launch",
      "runtimeExecutable": "${execPath}",
      "args": [
        "--disable-extensions",
        "--extensionDevelopmentPath=${workspaceRoot}",
        "--extensionTestsPath=${workspaceRoot}/out/test/integration/",
        "<run `npm run create-test-workspace` to generate a test folder>"
      ],
      "preLaunchTask": "${defaultBuildTask}",
      "stopOnEntry": false
    }
  ]
}
